APIs / Google Flights / Date Range
Google Flights: Date Range
Date Range from Google Flights as JSON. 1 credit per successful call.
GET /v1/google-flights/date-range
Parameters
Send parameters in the query string.
| Parameter | Type | Required | Allowed values |
|---|---|---|---|
origin | string | Required | Up to 3 characters |
destination | string | Required | Up to 3 characters |
adults | integer | Optional | Any |
children | integer | Optional | Any |
infants_in_seat | integer | Optional | Any |
infants_on_lap | integer | Optional | Any |
cabin_class | string | Optional | economy, premium_economy, business, first |
exclude_basic | boolean | Optional | Any |
max_stops | string | Optional | any, nonstop, one_or_fewer, two_or_fewer |
hl | string | Optional | Any |
gl | string | Optional | Any |
currency | string | Optional | Up to 3 characters |
outbound_times | string | Optional | Any |
bags | integer | Optional | 0 |
api_version | integer | Optional | 2 |
from_date | string | Required | Any |
to_date | string | Required | Any |
trip_duration | integer | Optional | Any |
Example request
curl "https://api.perceptlayer.com/v1/google-flights/date-range?origin=JFK&destination=LAX&from_date=2026-09-01&to_date=2026-09-30" \
-H "X-API-Key: $API_KEY"Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.